clang-tools 8.0.0

Public Member Functions | List of all members
clang::clangd::SymbolSlab::Builder Class Reference

`#include <Index.h>`

## Public Member Functions
| Builder ()
void | insert (const Symbol &S)
const Symbol * | find (const SymbolID &ID)
SymbolSlab | build () &&

## Detailed Description

Definition at line 314 of file Index.h.

## Constructor & Destructor Documentation

## ◆ Builder()

clang::clangd::SymbolSlab::Builder::Builder | ( |  | ) |
| inline

Definition at line 316 of file Index.h.

## Member Function Documentation

## ◆ build()

SymbolSlab clang::clangd::SymbolSlab::Builder::build | ( |  | ) | &&

Definition at line 102 of file Index.cpp.

## ◆ find()

const Symbol* clang::clangd::SymbolSlab::Builder::find | ( | const SymbolID & | ID | ) |
| inline

Definition at line 323 of file Index.h.

## ◆ insert()

void clang::clangd::SymbolSlab::Builder::insert | ( | const Symbol & | S | ) |

Definition at line 91 of file Index.cpp.

References clang::clangd::Symbol::ID.

The documentation for this class was generated from the following files:

- Index.h
- Index.cpp